#include <iostream>
#include <fstream>
#include <string>
#include <vector>
#include <cstring>
#include <cstdio>
#include <cstdlib>
using namespace std;

vector<string> gen;

int Rand(int m){
	//on my compiler (64bit) RAND_MAX is 2147483647 !!!
	return ((rand() * RAND_MAX + rand()) & ~(1<<31)) % m;
}

string GenR(int N, string al){
	string r;
	for(int i = 0; i < N; ++i){
		r += al[Rand(al.size())];
	}
	return r;
}

string GenMul(int N, string al){
	string r;
	for(int i = 0; i < N; ++i){
		r += al;
	}
	return r;
}

string Noise(int C, string a){
	for(int i = 0; i < C; ++i){
		a.at(Rand(a.size())) = 'a' + Rand(20);
	}
	return a;
}


int main(){
	srand(5);
	//cerr << " <<<<<< " << RAND_MAX << endl;
	//1
	gen.push_back("gagagaaabaabab");
	//2
	gen.push_back("kakaribaribarak");
	//3
	gen.push_back("cc"); //minimalistic
	//4
	gen.push_back("kakaribaribarakkakaribaribarak"); //full
	//5
	gen.push_back("aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"); //big
	//6
	gen.push_back("miloesupermiloesuperiniakviglupostituk"); //front
	//7
	gen.push_back("tukaimaniakvilupostiiiiiinakraiaimanidvoinaseriamilopilomilopilo"); //back
	//8
	gen.push_back("kakaribaribarakxkakaribaribarakkakaribaribarakkakaribaribara" 	
		"kkakaribaribarakkakaribaribarakkakaribaribarakkakaribaribarakkakaribar"
		"ibarakkakaribaribarakkakaribaribarakkakaribaribarakxkakaribaribarakkak"
		"aribaribarakkakaribaribarakxkakaribaribarakkakaribaribarakkakaribariba"
		"rakxkakaribaribarakkakaribaribarakkakaribaribarakxkakaribaribarakkakar"
		"ibaribarak"); //60,60
	
	//9
	gen.push_back(GenR(1000*1000, "z"));
	//10
	gen.push_back(GenR(1000*1000, "xy"));
	//11
	gen.push_back("abab"+Noise(100, GenMul(400*1000, "miloeumen")));
	//12
	gen.push_back(Noise(10, GenR(1000*1000, "x")));
	//13
	gen.push_back(Noise(10, "ababababababababababababa" + GenR(1000*1000, "z")));
	//14
	gen.push_back(Noise(10, GenR(1000*1000, "x")));
	//15
	gen.push_back(Noise(10, GenMul(200*1000, "fish")));
	
	string a30000(30*1000, 'a');
	//16
	gen.push_back(Noise(20, GenR(3500*1000, a30000+"fis")));
	
	//17
	gen.push_back(Noise(120, GenR(3500*1000, a30000+"x")));
	
	//18
	gen.push_back("abab"+Noise(500000, GenMul(1900*1000, "ab"))+"zz");
	
	//19
	string x100(100, 'x');
	gen.push_back(GenMul(100, "ris") + Noise(10000, GenMul(30000, x100+"z")));
	
	//20
	string temp(30*1000, 'a');
	temp += 's';
	gen.push_back(GenR(4*1000*1000, temp));
	ofstream fo("double.in");
	for(int i = 0; i < int(gen.size()); ++i){
		//char fn[64];
		//sprintf(fn, "double.%02d.in", i+1);
		//ofstream fo(fn);
		fo << gen[i] << endl;
	}
	return 0;
}
