#include <iostream>
#include <cassert>
#include <queue>
using namespace std;

bool here[1000*1024];
bool phere[10*1000*1024];
int pri[1000*1024];
priority_queue<pair<int, int> > q;

int main(){
	int cmd;
	while(cin >> cmd){
		assert(cmd >= 0 && cmd <= 4);
		if(cmd == 0) break;
		if(cmd == 1){
			int k, p;
			cin >> k >> p;
			cout << "1adding " << k << endl;
			assert(k >= 1 && k <= 1000*1000);
			assert(p >= 1 && p <= 10*1000*1000);
			assert(!here[k]);
			assert(!phere[p]);
			here[k] = true;
			phere[p] = true;

			pri[k] = p;
			q.push(make_pair(p, k));
		}
		else if(cmd == 2){
			while(!q.empty()){
				int p = q.top().first;
				int k = q.top().second;
			assert(k >= 1 && k <= 1000*1000);
			assert(p >= 1 && p <= 10*1000*1000);
				q.pop();
				if(!here[k]) continue;
				here[k] = false;
				phere[p] = false;
				cout << "2out " << k << endl;
				break;
			}
			//no out
		}
		else if(cmd == 3){
			int k;
			cin >> k;
			assert(k >= 1 && k <= 1000*1000);
			cout << "3query\n";
			//no out
		}
		else if(cmd == 4){
			int k;
			cin >> k;
			assert(k >= 1 && k <= 1000*1000);
			here[k] = false;
			phere[pri[k]] = false;
			cout << "4out " << k << endl;
		}
		else{
			assert(false);
		}
	}
	return 0;
}